!******************************************************************************
!  Main program for atmospheric box model developed by D. Abbot and 
!  E. Tziperman.  Module atm_mod contains all atmospheric routines.
!
!  Notes:
!
!
!  (dsa, 3/21/05)
!******************************************************************************

Program main
  use atm_mod

  implicit none

  integer :: CLOCK0,CLOCK1,CLOCKMAX,CLOCKRATE,TICKS, &
             HOURS,MINS
  real*8  :: SECS

!initialize for run
  call init_atm
  call open_files
  call get_parameters
  call initialize_vars

!timing
  call system_clock(count_max=CLOCKMAX,count_rate=CLOCKRATE)
  call system_clock(clock0)

!run
  call run_model

!timing
  call system_clock(clock1)

  TICKS = CLOCK1 - CLOCK0
  SECS  = float( TICKS ) / float( CLOCKRATE )
  HOURS = floor( SECS / 3.6d3 )
  MINS  = floor( ( SECS - 3.6d3 * dble( HOURS ) ) / 6.0d1 )
  SECS  = SECS - 3.6d3 * dble( HOURS ) - 6.0d1 * dble( MINS )
  
  write(6,'(A,I3,A,I3,A,F5.2,A)') 'Code took ',HOURS,' hours, ',MINS,' minutes, and ',SECS , ' seconds.'

!tidy up
  call write_restart
!  call cleanup_atm

end Program main

  
